Bullet Collision Detection & Physics Library: btGjkEpaSolver2 Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions | List of all members
btGjkEpaSolver2 Struct Reference

btGjkEpaSolver contributed under zlib by Nathanael Presson More...

`#include <btGjkEpa2.h>`

## Classes
struct | sResults

## Static Public Member Functions
static int | StackSizeRequirement ()
static bool | Distance (const btConvexShape *shape0, const btTransform &wtrs0, const btConvexShape *shape1, const btTransform &wtrs1, const btVector3 &guess, sResults &results)
static bool | Penetration (const btConvexShape *shape0, const btTransform &wtrs0, const btConvexShape *shape1, const btTransform &wtrs1, const btVector3 &guess, sResults &results, bool usemargins=true)
static btScalar | SignedDistance (const btVector3 &position, btScalar margin, const btConvexShape *shape, const btTransform &wtrs, sResults &results)
static bool | SignedDistance (const btConvexShape *shape0, const btTransform &wtrs0, const btConvexShape *shape1, const btTransform &wtrs1, const btVector3 &guess, sResults &results)

## Detailed Description

btGjkEpaSolver contributed under zlib by Nathanael Presson

Definition at line 31 of file btGjkEpa2.h.

## Member Function Documentation

## ◆ Distance()

bool btGjkEpaSolver2::Distance | ( | const btConvexShape * | shape0,
|  | const btTransform & | wtrs0,
|  | const btConvexShape * | shape1,
|  | const btTransform & | wtrs1,
|  | const btVector3 & | guess,
|  | sResults & | results
| ) |  |
| static

Definition at line 937 of file btGjkEpa2.cpp.

## ◆ Penetration()

bool btGjkEpaSolver2::Penetration | ( | const btConvexShape * | shape0,
|  | const btTransform & | wtrs0,
|  | const btConvexShape * | shape1,
|  | const btTransform & | wtrs1,
|  | const btVector3 & | guess,
|  | sResults & | results,
|  | bool | usemargins = `true`
| ) |  |
| static

Definition at line 973 of file btGjkEpa2.cpp.

## ◆ SignedDistance() [1/2]

bool btGjkEpaSolver2::SignedDistance | ( | const btConvexShape * | shape0,
|  | const btTransform & | wtrs0,
|  | const btConvexShape * | shape1,
|  | const btTransform & | wtrs1,
|  | const btVector3 & | guess,
|  | sResults & | results
| ) |  |
| static

Definition at line 1074 of file btGjkEpa2.cpp.

## ◆ SignedDistance() [2/2]

btScalar btGjkEpaSolver2::SignedDistance | ( | const btVector3 & | position,
|  | btScalar | margin,
|  | const btConvexShape * | shape,
|  | const btTransform & | wtrs,
|  | sResults & | results
| ) |  |
| static

Definition at line 1021 of file btGjkEpa2.cpp.

## ◆ StackSizeRequirement()

int btGjkEpaSolver2::StackSizeRequirement | ( |  | ) |
| static

Definition at line 931 of file btGjkEpa2.cpp.

The documentation for this struct was generated from the following files:

- btGjkEpa2.h
- btGjkEpa2.cpp